* Options.cs:
* Commands/CreateSidecar.cs:
  Added support for creating a sidecar from a folder containing the
  files of a tape dump. e.g.: tape1/file01, tape2/file02, etc.

* Commands/Ls.cs:
* Commands/Analyze.cs:
* Commands/ExtractFiles.cs:
  Use generic method to search for partitions, supporting partitions
  inside partitions. At the same time SGI DVH is disabled because it
  is not working correctly. Fixes #60

* Commands/Ls.cs:
* Commands/ExtractFiles.cs:
  Adjusted to new API.

* Commands/Ls.cs:
* Commands/Analyze.cs:
* Commands/ExtractFiles.cs:
  Refactor: Simplify field names.

* Commands/Ls.cs:
* Commands/Analyze.cs:
* Commands/ExtractFiles.cs:
  Refactor, pass whole partition structure to filesystems.

* DiscImageChef.csproj:
  Added tests for checksums.

* Commands/CreateSidecar.cs:
  Pass filter UUID to sidecar creation, use it to detect filters and
  calculate checksums of disk image and its contents correctly.

* Options.cs:
* Commands/DumpMedia.cs:
  Implemented resume mapfile support.

* Commands/DumpMedia.cs:
  Added resume parameter passing.

* Options.cs:
* Commands/DumpMedia.cs:
  Added support for dumping subchannel in a separate file.

* Commands/Ls.cs:
* Commands/ExtractFiles.cs:
  Add support for encodings.

* AssemblyInfo.cs:
* DiscImageChef.csproj:
  Version bumped to 3.4.99.0.

* Commands/ExtractFiles.cs:
  Store and show statistics for "ls" and "extract-files" commands.

* Commands/DeviceReport.cs:
  Don't generate report files with '/', '\\' or '?' characters.

2017-05-28  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceReport.cs:
	  Refactor: Move device-report logic to Core and separate by
	  category.

2017-05-28  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaScan.cs:
	  Refactor: Return result from core to CLI, show in CLI.

2017-05-28  Natalia Portillo  <claunia@claunia.com>

	* Progress.cs:
	* DiscImageChef.csproj:
	* Commands/Benchmark.cs:
	* Commands/CreateSidecar.cs:
	  Refactor: Use delegates to report progress and status.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Benchmark.cs:
	  Refactor: Return result from core to CLI, show in CLI.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Benchmark.cs:
	  Refactor: Move benchmark to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/CreateSidecar.cs:
	  Refactor: Move create-sidecar logic to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Ls.cs:
	* Commands/Analyze.cs:
	* Commands/ExtractFiles.cs:
	  Refactor: Move filesystem identification code to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	* Commands/MediaInfo.cs:
	* Commands/DeviceInfo.cs:
	  Refactor: Move dumping code, and misc file writing code, to
	  Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaScan.cs:
	  Refactor: Moved media scanning to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Compare.cs:
	  Refactor: Moved CompareBytes to Helpers.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Checksum.cs:
	  Enabled option to set which checksums to use.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	* Commands/DumpMedia.cs:
	* Commands/MediaScan.cs:
	  Refactor: Move MHDDLog to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	* Commands/DumpMedia.cs:
	* Commands/MediaScan.cs:
	  Refactor: Move IBGLog to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Refactor: Move Checksum to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Refactor: Move Statistics to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	* Commands/Verify.cs:
	* Commands/Compare.cs:
	* Commands/Entropy.cs:
	* Commands/Checksum.cs:
	* Commands/PrintHex.cs:
	* DiscImageChef.csproj:
	  Refactor: Move ImageFormat to Core.

2017-05-27  Natalia Portillo  <claunia@claunia.com>

	* Commands/Ls.cs:
	* Commands/Analyze.cs:
	* Commands/Formats.cs:
	* DetectImageFormat.cs:
	* DiscImageChef.csproj:
	* Commands/DumpMedia.cs:
	* Commands/ExtractFiles.cs:
	* Commands/CreateSidecar.cs:
	  Refactor: Moved PluginBase to Core.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added support for Xbox security sector.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added support for extracting SS in Kreon drives.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	* Commands/CreateSidecar.cs:
	  Added XGD3 detection (by its size).

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Show information from Kreon drives.

2017-05-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	  Add support for duming raw with DVD drives that support READ
	  LONG (10) (afaik only Matshita).

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Added an user-oriented changelog.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Plugins.cs:
	* Options.cs:
	* Commands/Ls.cs:
	* Core/IBGLog.cs:
	* AssemblyInfo.cs:
	* Core/MHDDLog.cs:
	* Core/Checksum.cs:
	* Commands/Verify.cs:
	* Core/Statistics.cs:
	* Commands/Decode.cs:
	* Commands/Entropy.cs:
	* Commands/Formats.cs:
	* Commands/Analyze.cs:
	* Commands/Compare.cs:
	* Commands/Checksum.cs:
	* Commands/Commands.cs:
	* Commands/PrintHex.cs:
	* DetectImageFormat.cs:
	* Commands/Configure.cs:
	* Commands/Benchmark.cs:
	* Commands/DumpMedia.cs:
	* Commands/MediaScan.cs:
	* Commands/MediaInfo.cs:
	* Commands/Statistics.cs:
	* Commands/DeviceInfo.cs:
	* Commands/DeviceReport.cs:
	* Commands/ExtractFiles.cs:
	* Commands/CreateSidecar.cs:
	  Updated copyright string.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	  Bumped version to 3.3.99.0.

2017-05-19  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Upped version to 3.3.99.0. Do not use version from solution
	  on library projects.

2016-10-17  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	* Commands/DeviceInfo.cs:
	* Commands/DeviceReport.cs:
	* Commands/CreateSidecar.cs:
	  Added PCMCIA support.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added Seagate EVPD and INQUIRY fields.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added Apple OEM MODE page 30h.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added HP vendor EVPD, MODE pages and INQUIRY fields.

2016-10-14  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added EVPD pages B1h, B2h, B3h and B4h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added EVPD page B0h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added IBM vendor EVPD, MODE pages and INQUIRY fields.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added MODE PAGE 1Dh

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added Certance vendor mode pages 21h and 22h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	* Commands/DeviceInfo.cs:
	  Added Certance vendor EVPD pages.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added Quantum vendor INQUIRY values and EVPD page C0h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added EVPD page 89h, SCSI to ATA translation layer

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Add EVPD page 85h, management network addresses.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added EVPD page 81h, implemented operating definition page.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added SCSI EVPD page 83h.

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Implemented SCSI EVPD 82h

2016-10-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added support for SCSI MODE PAGEs 11h, 12h, 13h and 14h
	  (medium partitions)

2016-10-12  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	  Code cleaning, using sorting and pragma to not mark
	  necessary casts that seem unnecessary to the compiler.

2016-10-12  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	  Adds support for SCSI Streaming Devices (see #65).

2016-10-10  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Removed some spurious brackets.

2016-10-10  Natalia Portillo  <claunia@claunia.com>

	* DetectImageFormat.cs:
	  Add debug output.

2016-10-07  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Link new documentation files.

2016-09-05  Natalia Portillo  <claunia@claunia.com>

	* Commands/Ls.cs:
	* Commands/Verify.cs:
	* Core/Statistics.cs:
	* Commands/Decode.cs:
	* Commands/Entropy.cs:
	* Commands/Analyze.cs:
	* Commands/Compare.cs:
	* Commands/Formats.cs:
	* Commands/PrintHex.cs:
	* DetectImageFormat.cs:
	* DiscImageChef.csproj:
	* Commands/Checksum.cs:
	* Commands/DumpMedia.cs:
	* Commands/Configure.cs:
	* Commands/Statistics.cs:
	* Commands/ExtractFiles.cs:
	* Commands/CreateSidecar.cs:
	  Added filters.

	* Plugins.cs:
	  Sorted plugins lists.

2016-08-27  Natalia Portillo  <claunia@claunia.com>

	* DetectImageFormat.cs:
	  Use UNIX line endings.

2016-08-26  Natalia Portillo  <claunia@claunia.com>

	* Commands/ExtractFiles.cs:
	  Corrected behaviour when volume name is missing, null or
	  empty.

2016-08-18  Natalia Portillo  <claunia@claunia.com>

	* Commands/Compare.cs:
	  Added field for drive firmware revision.

	* Commands/CreateSidecar.cs:
	  If drive image contains information about the dumping drive,
	  use it.
	Added subchannel types for Q only.

2016-08-09  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Bumped version to 3.2.99.2.

2016-08-08  Natalia Portillo  <claunia@claunia.com>

	* Commands/CreateSidecar.cs:
	  Added points for skipping whole image checksum on debugging.
	Track starts at index 0.

2016-08-07  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Public beta release 3.2.99.1.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.csproj:
	  Bumped to version 3.2.1.

2016-08-01  Natalia Portillo  <claunia@claunia.com>

	* AssemblyInfo.cs:
	* DiscImageChef.csproj:
	  Bump to version 3.2.0

2016-07-29  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Bump to version 3.1.0.

2016-07-28  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Plugins.cs:
	* Options.cs:
	* Core/IBGLog.cs:
	* Commands/Ls.cs:
	* Core/Checksum.cs:
	* Commands/Decode.cs:
	* Commands/Verify.cs:
	* Commands/Compare.cs:
	* Commands/Analyze.cs:
	* Commands/Formats.cs:
	* Commands/Entropy.cs:
	* DetectImageFormat.cs:
	* Commands/PrintHex.cs:
	* DiscImageChef.csproj:
	* Commands/Commands.cs:
	* Commands/Benchmark.cs:
	* Commands/DumpMedia.cs:
	* Commands/MediaInfo.cs:
	* Commands/MediaScan.cs:
	* Commands/DeviceInfo.cs:
	* Commands/Statistics.cs:
	* Commands/DeviceReport.cs:
	* Commands/ExtractFiles.cs:
	* Commands/CreateSidecar.cs:
	  Refactor and code cleanup.

2016-04-06  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaScan.cs:
	  Scan more blocks

2016-04-06  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	  Correct exception on raw cd dumping not implemented.

	* Commands/MediaScan.cs:
	  Scan more blocks.

2016-02-10  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added support for Media Card Pass Through detection and
	  information.

	* Commands/DumpMedia.cs:
	* Commands/MediaInfo.cs:
	* Commands/MediaScan.cs:
	* Commands/DeviceReport.cs:
	  Added support for ATA devices.

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceReport.cs:
	  Check for 36 blocks in long block search in all cases.

	* Commands/DumpMedia.cs:
	  Only try the persistent pass one time. If it didn't correct
	  in the previous cycle it won't magically do now.
	Sort unreadalbe sectors before printing them.

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	  Correct physical/logical block size in sidecar.

2016-02-05  Natalia Portillo  <claunia@claunia.com>

	* Commands/Analyze.cs:
	* Commands/CreateSidecar.cs:
	  Check multiple partitioning schemes.

	* Commands/DumpMedia.cs:
	  Check multiple partitioning schemes.
	Do not add interface data to sidecar for removable devices.
	Add dump hardware to sidecar for remocable block devices.

2016-02-04  Natalia Portillo  <claunia@claunia.com>

	* Commands/DumpMedia.cs:
	  Added creation of IBG logs.
	Added filesystem and partitions detection (does not work with
	  raw).

2016-02-04  Natalia Portillo  <claunia@claunia.com>

	* Core/MHDDLog.cs:
	* DiscImageChef.csproj:
	* Commands/DumpMedia.cs:
	* Commands/MediaScan.cs:
	  Separated MHDD and IBG log generations to separate classes.

2016-02-04  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	* Commands/Verify.cs:
	* Commands/Analyze.cs:
	* Commands/Entropy.cs:
	* Commands/Checksum.cs:
	* Commands/PrintHex.cs:
	* Commands/CreateSidecar.cs:
	  Check if image file exists before proceeding.

	* Commands/MediaInfo.cs:
	* Commands/MediaScan.cs:
	* Commands/DeviceInfo.cs:
	* Commands/DeviceReport.cs:
	  Check if device exists before proceeding.

	* Commands/DumpMedia.cs:
	  Check if device exists before proceeding.
	Removed unused code.
	Added error handling procedures for non CDs.

	* Options.cs:
	  Remove unused options.
	Added options to control dump-media error handling.

2016-02-03  Natalia Portillo  <claunia@claunia.com>

	* Commands/Configure.cs:
	  Added support for settings.

	* Core/Statistics.cs:
	* Commands/Verify.cs:
	* Commands/Entropy.cs:
	* Commands/Formats.cs:
	* Commands/PrintHex.cs:
	* Commands/MediaInfo.cs:
	* Commands/Statistics.cs:
	  Added statistics.


	* Commands/Decode.cs:
	* Commands/Analyze.cs:
	* Commands/Compare.cs:
	* Commands/Checksum.cs:
	* Commands/Benchmark.cs:
	* Commands/DeviceInfo.cs:
	* Commands/CreateSidecar.cs:
	  Added statistics.

	* Commands/DeviceReport.cs:
	  Added statistics.
	Correct handling empty inquiry string fields.
	Suppose it is not removable, til proved wrong.
	Corrected MODE SENSE (6/10) detection and calling order.
	If device is MMC type but reports neither mode page 2Ah
	  neither GET CONFIGURATION, try all CDs (old drives work like
	  that).
	Try reading Lead-In and Lead-Out in Audio CD using Audio READ
	  CD commands.
	Corrected READ LONG information handling, some drives return
	  2s-complement in 32 bit. Upper 16 bits are ignored.
	Added support for DVD raw block (37856 bytes).
	Check READ LONG up to 36 times the cooked block size. That
	  should be enough to detect huge blocked media (like DVD and
	  BD) without taking ages.
	If READ LONG size had to be bruteforced, and debug is
	  activated, save the result.


	* Commands/DumpMedia.cs:
	  Added statistics.
	Corrected READ LONG information handling, some drives return
	  2s-complement in 32 bit. Upper 16 bits are ignored.
	Start trying with 64 blocks at a time. Some drives report to
	  be able to read 255 at a time, but they really don't, they
	  take a lot longer to read.

	* Commands/MediaScan.cs:
	  Added statistics.
	Start trying with 64 blocks at a time. Some drives report to
	  be able to read 255 at a time, but they really don't, they
	  take a lot longer to read.

	* DiscImageChef.csproj:
	  Added support for settings.
	Added statistics.


	* Main.cs:
	* Options.cs:
	  Added support for settings.
	Added statistics.

2016-01-16  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	* Commands/Verify.cs:
	* Commands/Analyze.cs:
	* Commands/Compare.cs:
	* Commands/MediaInfo.cs:
	* Commands/CreateSidecar.cs:
	  Refactor most disk references to media.

2016-01-16  Natalia Portillo  <claunia@claunia.com>

	* Commands/CreateSidecar.cs:
	  Added static method to get standard dimensions from disk
	  types.

2016-01-15  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Implement decoding Fujitsu Verify Control Page.

2016-01-15  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	* Commands/DeviceInfo.cs:
	  Added support for SCSI sequential devices.

2016-01-14  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Moved common code to a static method.

2016-01-11  Natalia Portillo  <claunia@claunia.com>

	* Plugins.cs:
	* Commands/Analyze.cs:
	* Commands/Compare.cs:
	* Commands/CreateSidecar.cs:
	  Do not call system console directly.

	* Commands/DeviceInfo.cs:
	  Added Plextor vendor commands.

2015-12-31  Natalia Portillo  <claunia@claunia.com>

	* Commands/CreateSidecar.cs:
	  Implemented most support for block media sidecars.

2015-12-31  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added support for FireWire devices.

2015-12-31  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added support for USB detection and metadata.

2015-12-30  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Options.cs:
	* DiscImageChef.csproj:
	* Commands/MediaScan.cs:
	  Added media-scan command.

	* Commands/MediaInfo.cs:
	  Check for inserted medium only on removable media devices.

2015-12-25  Natalia Portillo  <claunia@claunia.com>

	* Commands/CreateSidecar.cs:
	  Formatting.

2015-12-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/CreateSidecar.cs:
	  If a filesystem plugin crashes, do not abort.

	* DetectImageFormat.cs:
	  If an image plugin crashes, keep trying the others.

2015-12-13  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Check ATIP even if no TOC, as blank discs do always have
	  ATIP (but no TOC or PMA).

2015-12-06  Natalia Portillo  <claunia@claunia.com>

	* Commands/Checksum.cs:
	  Checking memory usage on each step makes checksum
	  calculation abismally slower. Removed.

	* Main.cs:
	* Options.cs:
	* DiscImageChef.csproj:
	* Commands/CreateSidecar.cs:
	  Added method for creating CICM Metadata XML sidecar.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Implement detection of medium not present and waiting for
	  drive to become ready.

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Finally CD-Text on lead-in is getting decoded correctly...

2015-12-04  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Solved when CD-TEXT is bigger than 1KiB.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added support for CD-V.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  As of today none of my testing drives will read Nintendo's
	  BCA because the PFI says there is no BCA.


2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Lead-In CMI is useless in Nintendo discs.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added support for Nintendo GOD and WOD.

2015-12-03  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added decoding of XGD2 and XGD3 DMI.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  DVD-RAM recording type depends on sector. Removed from
	  media-info command.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Implemented decoding DVD-RAM Spare Area Information.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Implemented decoding DVD-RAM medium status.

2015-12-02  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added DDS decoding.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  DCB was incorrectly being asked to HD DVD instead of DVD+.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added decoding Lead-In CMI for DVD.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added all existing Blu-ray decoders.

2015-12-01  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added PFI decoding.

2015-11-30  Natalia Portillo  <claunia@claunia.com>

	* Commands/Benchmark.cs:
	  Corrected style.

	* Options.cs:
	* Commands/Checksum.cs:
	* DiscImageChef.csproj:
	  Disabled Fletcher as it is abnormally slow.

2015-11-30  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Options.cs:
	* DiscImageChef.csproj:
	* Commands/Benchmark.cs:
	  Added 'benchmark' command to benchmark checksum and hashing
	  algorithms.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added a workaround for Nintendo GameCube and Wii discs.
	Added SCSI READ MEDIA SERIAL NUMBER support.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Reorganized media-info command so only applicable
	  information is requested based on what we are being informed
	  about media type.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Added decoding and prettifying READ DISC INFORMATION.

2015-11-24  Natalia Portillo  <claunia@claunia.com>

	* Commands/MediaInfo.cs:
	  Check current profile and prettify TOC, PMA, ATIP, Session
	  and CD-TEXT.

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Options.cs:
	* DiscImageChef.csproj:
	* Commands/MediaInfo.cs:
	  Added media-info command

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Decode SCSI sense.

2015-11-23  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Moved ATA register definition to a more common place.

2015-11-10  Natalia Portillo  <claunia@claunia.com>

	* Commands/Checksum.cs:
	  Modified checksums command to use multiple-sector reading
	  and be heavily multithreaded.

	* DiscImageChef.csproj:
	  Enable optimizations on Release.

2015-11-09  Natalia Portillo  <claunia@claunia.com>

	* Commands/Checksum.cs:
	  Corrected checksum calculation for multiple tracks

2015-11-09  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	  Forgot to define Console.Write()

2015-11-05  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Mode sense should be written even if it can't be decoded.

2015-11-02  Natalia Portillo  <claunia@claunia.com>

	* Options.cs:
	* Commands/DeviceInfo.cs:
	  Added option to dump binary responses got from devices while
	  getting device info.

2015-11-02  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added READ DISC STRUCTURE.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Typo in debug output.

2015-11-01  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Add MMC GET CONFIGURATION

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Solved some bugs found testing on usb flash sticks.

2015-10-31  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added MODE SENSE to device information.

2015-10-24  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Added travis build description.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Device type, manufacturer, model, revision and serial number
	  are now obtained in device constructor.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Moved devices enums and structs out of classes.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Implemented SCSI VPDs 0x00 to 0x80.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	* Commands/DeviceInfo.cs:
	  Rename ATA/ATAPI decoders fields, methods and structs to
	  more adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	* Commands/DeviceInfo.cs:
	  Rename SCSI decoders fields, methods and structs to more
	  adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	* Commands/DeviceInfo.cs:
	  Separated SCSI decoders by type.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	  Rename CD decoders fields, methods and structs to more
	  adequate names.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	  Separated CD decoders by type.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Use a format-less output.

2015-10-19  Natalia Portillo  <claunia@claunia.com>

	* Commands/Decode.cs:
	  Added ATA/ATAPI IDENTIFY DEVICE disk tags.

2015-10-18  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Plugins.cs:
	* Commands/Decode.cs:
	* Commands/Verify.cs:
	* Commands/Analyze.cs:
	* Commands/Formats.cs:
	* Commands/Entropy.cs:
	* Commands/Compare.cs:
	* Commands/PrintHex.cs:
	* Commands/Checksum.cs:
	* DiscImageChef.csproj:
	* Commands/DeviceInfo.cs:
	  Added specific console handling for standard, verbose, debug
	  and error outputs.

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added ATA/ATAPI IDENTIFY DEVICE decoder

2015-10-17  Natalia Portillo  <claunia@claunia.com>

	* DiscImageChef.csproj:
	  Implement ATA/ATAPI IDENTIFY decoder.

2015-10-15  Natalia Portillo  <claunia@claunia.com>

	* Commands/DeviceInfo.cs:
	  Added ATA and ATAPI identify commands.

2015-10-13  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Options.cs:
	* DiscImageChef.csproj:
	* Commands/DeviceInfo.cs:
	  Added "device-info" command.

2015-10-12  Natalia Portillo  <claunia@claunia.com>

	* DetectImageFormat.cs:
	  Added standard header.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* Decoders/BD.cs:
	* Decoders/CD.cs:
	* Decoders/DVD.cs:
	* Decoders/MMC.cs:
	* Decoders/SCSI.cs:
	* Decoders/Floppy.cs:
	* ImagePlugins/2MG.cs:
	* DiscImageChef.csproj:
	  Move decoders to a separate library.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins.cs:
	* Plugins/BFS.cs:
	* Plugins/FFS.cs:
	* Plugins/ODS.cs:
	* Plugins/FAT.cs:
	* Plugins/NTFS.cs:
	* Plugins/HPFS.cs:
	* Plugins/SysV.cs:
	* Plugins/extFS.cs:
	* Plugins/Opera.cs:
	* Plugins/Plugin.cs:
	* Plugins/LisaFS.cs:
	* Plugins/ext2FS.cs:
	* Plugins/ProDOS.cs:
	* Plugins/SolarFS.cs:
	* Plugins/Symbian.cs:
	* Plugins/UNIXBFS.cs:
	* Plugins/ISO9660.cs:
	* Plugins/MinixFS.cs:
	* Plugins/AmigaDOS.cs:
	* Plugins/PCEngine.cs:
	* Plugins/AppleMFS.cs:
	* Plugins/AppleHFS.cs:
	* DiscImageChef.csproj:
	* Plugins/AppleHFSPlus.cs:
	  Move filesystems to a separate library.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins.cs:
	* PartPlugins/MBR.cs:
	* PartPlugins/RDB.cs:
	* PartPlugins/NeXT.cs:
	* DiscImageChef.csproj:
	* PartPlugins/Atari.cs:
	* PartPlugins/AppleMap.cs:
	* PartPlugins/PartPlugin.cs:
	  Move partitions plugins to a separate library.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins.cs:
	* PartPlugins/RDB.cs:
	* PartPlugins/MBR.cs:
	* ImagePlugins/VHD.cs:
	* PartPlugins/NeXT.cs:
	* Commands/Analyze.cs:
	* ImagePlugins/Nero.cs:
	* DiscImageChef.csproj:
	* DetectImageFormat.cs:
	* PartPlugins/Atari.cs:
	* ImagePlugins/CDRWin.cs:
	* PartPlugins/AppleMap.cs:
	* ImagePlugins/Apple2MG.cs:
	* ImagePlugins/TeleDisk.cs:
	* PartPlugins/PartPlugin.cs:
	* ImagePlugins/ImageInfo.cs:
	* ImagePlugins/DiskCopy42.cs:
	* ImagePlugins/ImagePlugin.cs:
	* ImagePlugins/ZZZRawImage.cs:
	* ImagePlugins/DetectImageFormat.cs:
	  Moved disc image plugins to a separate library.

2015-10-05  Natalia Portillo  <claunia@claunia.com>

	* Swapping.cs:
	* PrintHex.cs:
	* ArrayFill.cs:
	* DateHandlers.cs:
	* StringHandlers.cs:
	* DiscImageChef.csproj:
	* BigEndianBitConverter.cs:
	* EndianAwareBinaryReader.cs:
	  Move helpers to a separate library.

	* Checksums/MD5Context.cs:
	* Checksums/ReedSolomon.cs:
	* Checksums/SHA1Context.cs:
	* Checksums/CDChecksums.cs:
	* Checksums/CRC32Context.cs:
	* Checksums/CRC16Context.cs:
	* Checksums/CRC64Context.cs:
	* Checksums/SHA512Context.cs:
	* Checksums/SHA384Context.cs:
	* Checksums/SHA256Context.cs:
	* Checksums/Adler32Context.cs:
	* Checksums/SpamSumContext.cs:
	* Checksums/FletcherContext.cs:
	* Checksums/RIPEMD160Context.cs:
	  Move checksums to a separate library.

2015-08-25  Natalia Portillo  <claunia@claunia.com>

	* Decoders/Floppy.cs:
	* DiscImageChef.csproj:
	  Added floppy disk structures.

2015-05-23  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/CDRWin.cs:
	  Solved CDRWin plugin not working on .NET Framework and in
	  Mono 4.0. Seems a bug in the framework implementation
	  nonetheless, this workarounds satisfactorily.

2015-05-19  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Options.cs:
	* Commands/Entropy.cs:
	* DiscImageChef.csproj:
	  Implement "entropy" command.

2015-04-24  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/VHD.cs:
	  Syntax cleaning.

2015-04-24  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/VHD.cs:
	  Implemented support for Virtual PC differencing (undo) disk
	  images.

2015-04-24  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/VHD.cs:
	  Add support for dynamic disk images.

2015-04-22  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/Apple2MG.cs:
	  Casting typo

2015-04-22  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/VHD.cs:
	* ImagePlugins/Apple2MG.cs:
	  Style changes

2015-04-22  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/VHD.cs:
	* DiscImageChef.csproj:
	  Implemented support for Virtual PC fixed size disk images.

2015-04-21  Natalia Portillo  <claunia@claunia.com>

	* BigEndianBitConverter.cs:
	  Added support for bigendian UUID/Guid

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* Plugins/AmigaDOS.cs:
	* PartPlugins/Atari.cs:
	  Style corrections.

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* PartPlugins/Atari.cs:
	  Added support for NetBSD partition identifiers.

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* PartPlugins/Atari.cs:
	* DiscImageChef.csproj:
	  Implemented support for Atari partitions.

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* DateHandlers.cs:
	* Plugins/AmigaDOS.cs:
	* DiscImageChef.csproj:
	  Added support for AmigaDOS filesystems.

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* PartPlugins/RDB.cs:
	  Typo submerged in infinite loop for non-RDB disks.

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* Plugins/BFS.cs:
	* Plugins/ODS.cs:
	* Plugins/FFS.cs:
	* Plugins/FAT.cs:
	* Plugins/NTFS.cs:
	* Plugins/HPFS.cs:
	* Plugins/SysV.cs:
	* Plugins/Opera.cs:
	* Plugins/extFS.cs:
	* Plugins/LisaFS.cs:
	* Plugins/ProDOS.cs:
	* Plugins/ext2FS.cs:
	* Plugins/Plugin.cs:
	* Plugins/SolarFS.cs:
	* Plugins/UNIXBFS.cs:
	* Plugins/ISO9660.cs:
	* Plugins/MinixFS.cs:
	* Plugins/PCEngine.cs:
	* Plugins/AppleMFS.cs:
	* Plugins/AppleHFS.cs:
	* Commands/Analyze.cs:
	* Plugins/AppleHFSPlus.cs:
	  Give not only partition starting sector but also ending
	  sector to filesystems.

2015-04-20  Natalia Portillo  <claunia@claunia.com>

	* PartPlugins/RDB.cs:
	* DiscImageChef.csproj:
	  Implemented support for Amiga RDB.

2015-04-19  Natalia Portillo  <claunia@claunia.com>

	* Plugins/ProDOS.cs:
	  Corrected datetime field handling in ProDOS filesystem.

2015-04-19  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/2MG.cs:
	* DiscImageChef.csproj:
	* ImagePlugins/Apple2MG.cs:
	  Implement support for Apple 2IMG disk images.

2015-04-19  Natalia Portillo  <claunia@claunia.com>

	* Options.cs:
	* Commands/Checksum.cs:
	* DiscImageChef.csproj:
	* Checksums/SpamSumContext.cs:
	  Implemented SpamSum fuzzy hashing.

2015-04-19  Natalia Portillo  <claunia@claunia.com>

	* Options.cs:
	* Commands/Checksum.cs:
	* DiscImageChef.csproj:
	* Checksums/FletcherContext.cs:
	  Implemented Fletcher-16 and Fletcher-32 checksum algorithms.

2015-04-19  Natalia Portillo  <claunia@claunia.com>

	* Options.cs:
	* Commands/Checksum.cs:
	  Added CRC16 to checksum command.

2015-04-19  Natalia Portillo  <claunia@claunia.com>

	* Options.cs:
	* Commands/Checksum.cs:
	* DiscImageChef.csproj:
	* Checksums/Adler32Context.cs:
	  Added Adler-32 checksum

2015-03-22  Natalia Portillo  <claunia@claunia.com>

	* Plugins/ProDOS.cs:
	* DiscImageChef.csproj:
	  Implemented support for Apple ProDOS/SOS filesystem
	  (untested).

2015-03-21  Natalia Portillo  <claunia@claunia.com>

	* Decoders/DVD.cs:
	* Decoders/MMC.cs:
	* DiscImageChef.csproj:
	* ImagePlugins/ImagePlugin.cs:
	  Added DVD structures.

2015-03-05  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/DiskCopy42.cs:
	  Correct typo in DC42 tag checksumming.

2015-02-02  Natalia Portillo  <claunia@claunia.com>

	* Checksums/CRC64Context.cs:
	  Endian typoness

2015-02-02  Natalia Portillo  <claunia@claunia.com>

	* Checksums/CRC32Context.cs:
	  Corrected poly and endian issues.

2015-02-02  Natalia Portillo  <claunia@claunia.com>

	* Checksums/CRC16Context.cs:
	  Corrected poly, solved endian problem

2014-04-21  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/TeleDisk.cs:
	  Start to implement OpenImage(), decode comment block.

2014-04-21  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/TeleDisk.cs:
	  Added CRC calculation method and check of header using CRC
	  to return a positive identification.

2014-04-19  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/TeleDisk.cs:
	* FileSystemIDandChk.csproj:
	  Started Sydex TeleDisk implementation, with structs,
	  constants and initial Identify() implementation.

2014-04-19  Natalia Portillo  <claunia@claunia.com>

	* LICENSE:
	* Main.cs:
	* Plugins.cs:
	* Swapping.cs:
	* Plugins/BFS.cs:
	* Plugins/FFS.cs:
	* Plugins/ODS.cs:
	* Plugins/FAT.cs:
	* Plugins/SysV.cs:
	* Plugins/NTFS.cs:
	* AssemblyInfo.cs:
	* Plugins/HPFS.cs:
	* DateHandlers.cs:
	* Plugins/Opera.cs:
	* Plugins/extFS.cs:
	* Plugins/ext2FS.cs:
	* Plugins/LisaFS.cs:
	* StringHandlers.cs:
	* Plugins/Plugin.cs:
	* Plugins/MinixFS.cs:
	* Plugins/UNIXBFS.cs:
	* Plugins/ISO9660.cs:
	* Plugins/Symbian.cs:
	* Plugins/SolarFS.cs:
	* PartPlugins/MBR.cs:
	* PartPlugins/NeXT.cs:
	* Plugins/AppleMFS.cs:
	* Plugins/PCEngine.cs:
	* Plugins/AppleHFS.cs:
	* ImagePlugins/CDRWin.cs:
	* Plugins/AppleHFSPlus.cs:
	* PartPlugins/AppleMap.cs:
	* BigEndianBitConverter.cs:
	* PartPlugins/PartPlugin.cs:
	* EndianAwareBinaryReader.cs:
	* ImagePlugins/DiskCopy42.cs:
	* ImagePlugins/ImagePlugin.cs:
	  Change license from AGPLv3 to GPLv3 to make some good
	  friends happier, and be able to use code from Linux if ever
	  *ever* needed.

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* TODO:
	* LICENSE:
	* Main.cs:
	* README.md:
	* FileSystemIDandChk.csproj:
	  Add documentation and license and prepare for publication

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Plugins.cs:
	* Swapping.cs:
	* Plugins/ODS.cs:
	* Plugins/FFS.cs:
	* Plugins/FAT.cs:
	* Plugins/BFS.cs:
	* Plugins/SysV.cs:
	* DateHandlers.cs:
	* Plugins/NTFS.cs:
	* AssemblyInfo.cs:
	* Plugins/HPFS.cs:
	* Plugins/Opera.cs:
	* Plugins/extFS.cs:
	* Plugins/Plugin.cs:
	* Plugins/LisaFS.cs:
	* StringHandlers.cs:
	* Plugins/ext2FS.cs:
	* PartPlugins/MBR.cs:
	* Plugins/MinixFS.cs:
	* Plugins/UNIXBFS.cs:
	* Plugins/ISO9660.cs:
	* Plugins/Symbian.cs:
	* Plugins/SolarFS.cs:
	* Plugins/PCEngine.cs:
	* Plugins/AppleHFS.cs:
	* PartPlugins/NeXT.cs:
	* Plugins/AppleMFS.cs:
	* ImagePlugins/CDRWin.cs:
	* Plugins/AppleHFSPlus.cs:
	* PartPlugins/AppleMap.cs:
	* BigEndianBitConverter.cs:
	* PartPlugins/PartPlugin.cs:
	* ImagePlugins/DiskCopy42.cs:
	* EndianAwareBinaryReader.cs:
	* ImagePlugins/ImagePlugin.cs:
	  Added information and license header.

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* DateHandlers.cs:
	  Lisa epoch is 1901 not 1904

	* Plugins/LisaFS.cs:
	  Typos corrected, now works perfectly

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* DateHandlers.cs:
	  lisatime_t is unsigned

	* Plugins/LisaFS.cs:
	  Added code to search for MDDF, check some variables to be
	  sure it's a real MDDF, and get information about it.

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* Plugins/LisaFS.cs:
	* FileSystemIDandChk.csproj:
	  Added LisaFS skeleton with Lisa's MDDF and tag structs

	* DateHandlers.cs:
	  Added convert function from Lisa timestamp fields to C#
	  DateTime

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/DiskCopy42.cs:
	* ImagePlugins/ImagePlugin.cs:
	  Added support for Apple FileWare (aka Twiggy) disks as
	  dumped by Sigma Seven's BLU

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* Plugins/AppleMFS.cs:
	  Corrected alignment failure because of incorrect type
	  definition on MDB struct.

2014-04-17  Natalia Portillo  <claunia@claunia.com>

	* ImagePlugins/DiskCopy42.cs:
	  Correct typos, misalignment of field and
	  BigEndianBitConverter behaviour

2014-04-15  Natalia Portillo  <claunia@claunia.com>

	* FileSystemIDandChk.csproj:
	* ImagePlugins/DiskCopy42.cs:
	  Added support for Apple DiskCopy 4.2 format

	* ImagePlugins/ImagePlugin.cs:
	  Added standard IBM, DEC and Apple floppy formats

2014-04-14  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* Plugins.cs:
	* Swapping.cs:
	* Plugins/BFS.cs:
	* Plugins/FAT.cs:
	* Plugins/FFS.cs:
	* Plugins/ODS.cs:
	* Plugins/NTFS.cs:
	* Plugins/HPFS.cs:
	* DateHandlers.cs:
	* Plugins/SysV.cs:
	* Plugins/extFS.cs:
	* Plugins/Opera.cs:
	* Plugins/Plugin.cs:
	* StringHandlers.cs:
	* Plugins/ext2FS.cs:
	* Plugins/SolarFS.cs:
	* Plugins/UNIXBFS.cs:
	* Plugins/MinixFS.cs:
	* Plugins/ISO9660.cs:
	* PartPlugins/MBR.cs:
	* Plugins/AppleMFS.cs:
	* PartPlugins/NeXT.cs:
	* Plugins/PCEngine.cs:
	* Plugins/AppleHFS.cs:
	* ImagePlugins/CDRWin.cs:
	* PartPlugins/AppleMap.cs:
	* Plugins/AppleHFSPlus.cs:
	* BigEndianBitConverter.cs:
	* FileSystemIDandChk.csproj:
	* EndianAwareBinaryReader.cs:
	* ImagePlugins/ImagePlugin.cs:
	  Refactor and reformat code

2014-04-14  Natalia Portillo  <claunia@claunia.com>

	* Main.cs:
	* ImagePlugins/CDRWin.cs:
	  Constrain debug information to debug mode

2014-04-14  Natalia Portillo  <claunia@claunia.com>

	* BigEndianBitConverter.cs:
	  Added BitConverter for BigEndian

	* FileSystemIDandChk.csproj:
	  FileSystemIDandChk/BigEndianBitConverter.cs


	* ImagePlugins/CDRWin.cs:
	  Corrected parsing
	Implemented all ImagePlugin methods

	* ImagePlugins/ImagePlugin.cs:
	  Used document auto formatting

	* Main.cs:
	* Plugins/FAT.cs:
	* Plugins/BFS.cs:
	* Plugins/FFS.cs:
	* Plugins/ODS.cs:
	* Plugins/HPFS.cs:
	* Plugins/SysV.cs:
	* Plugins/NTFS.cs:
	* Plugins/extFS.cs:
	* Plugins/Opera.cs:
	* Plugins/ext2FS.cs:
	* Plugins/Plugin.cs:
	* Plugins/UNIXBFS.cs:
	* Plugins/SolarFS.cs:
	* PartPlugins/MBR.cs:
	* Plugins/MinixFS.cs:
	* Plugins/ISO9660.cs:
	* Plugins/PCEngine.cs:
	* Plugins/AppleHFS.cs:
	* PartPlugins/NeXT.cs:
	* Plugins/AppleMFS.cs:
	* PartPlugins/AppleMap.cs:
	* Plugins/AppleHFSPlus.cs:
	  Added support for disc image plugins

	* PartPlugins/PartPlugin.cs:
	  Added support for disc image plugins
	Added start sector and length in sectors to partitions

	* Plugins/Symbian.cs:
	  Commented til code is adapted for disc image plugins

2012-08-07  Natalia Portillo  <claunia@claunia.com>

	* Plugins/SysV.cs:
	* FileSystemIDandChk.csproj:
	  Added support for System V filesystem

	* PartPlugins/MBR.cs:
	  UnixWare is not the only one using the UNIX disklabel
	Corrected UNIX disklabel sector.
	Enhanced UNIX disklabel with structs and consts.
	Added support for old UNIX disklabels.

	* Swapping.cs:
	  Added code for middle-endian (PDP-endian)

2012-08-06  Natalia Portillo  <claunia@claunia.com>

	* Plugins/UNIXBFS.cs:
	* FileSystemIDandChk.csproj:
	  Added UNIX Boot filesystem.

	* Plugins/FAT.cs:
	  Don't seek to FAT if value is bigger than volume size.

2012-08-06  Natalia Portillo  <claunia@claunia.com>

	* Plugins/SolarFS.cs:
	* FileSystemIDandChk.csproj:
	  Added code for detection Solar_OS filesystem

2012-08-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins/FAT.cs:
	  Add debug information.
	De-hardcode FAT location, use correct data from BPB or
	  hardcode in case data is empty.
	Show volume size in bytes also.
	Added offset of PB entries on comments.

2012-08-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins/MinixFS.cs:
	* FileSystemIDandChk.csproj:
	  Added Minix V1, V2 and V3 filesystems.

2012-08-05  Natalia Portillo  <claunia@claunia.com>

	* DateHandlers.cs:
	  Added debug information and prevent malformed datetime
	  strings crash ISO9660ToDateTime class

2012-08-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins/ISO9660.cs:
	  Added code preventing it to be run on each partition,
	  because this filesystem will be once and only. Now it runs
	  only one time whenever there are partitions or how many.

	* Plugins/FAT.cs:
	  Added code to handle false positives (FATs can be 1 or 2,
	  maybe 0 in the wild, never bigger).
	Modified for BinaryReader class.

	* Plugins/BFS.cs:
	  Missed negation operand

	* PartPlugins/NeXT.cs:
	* PartPlugins/AppleMap.cs:
	  Added constants and modified for EndianAwareBinaryReader
	  class.

2012-08-05  Natalia Portillo  <claunia@claunia.com>

	* Plugins/ODS.cs:
	  Use StringHandlers class to prevent garbage coming from
	  strings (even if they are not C strings, it does not hurt).

	* Plugins/AppleHFS.cs:
	  Use constants.

	* Plugins/BFS.cs:
	* Plugins/AppleMFS.cs:
	* Plugins/AppleHFSPlus.cs:
	  Use constants and EndianAwareBinaryReader class.

	* Plugins/Opera.cs:
	  Use a superblock structure and EndianAwareBinaryReader
	  class, reduces lots of code.

2012-08-04  Natalia Portillo  <claunia@claunia.com>

	* CToString.cs:
	  Renamed to StringHandlers.cs

	* Plugins/AppleHFS.cs:
	  Modified to use EndianAwareBinaryReader and PascalToString
	  classes

	* FileSystemIDandChk.csproj:
	  CToString.cs renamed to StringHandlers.cs

	* StringHandlers.cs:
	  Added code to convert Pascal string to .NET String

2012-08-04  Natalia Portillo  <claunia@claunia.com>

	* Plugins/FFS.cs:
	  Added code for detecting 42BSD, 43BSD, 44BSD, SunOS,
	  SunOS/x86, UFS and UFS2 filesystems. Block size is incorrect
	  on NeXTStep's CD UFSs, but there is no way to check for it.

	* Main.cs:
	  Disable debug by default

	* FileSystemIDandChk.csproj:
	  Moved to .NET 4 and added EndianAwareBinaryReader class

	* EndianAwareBinaryReader.cs:
	  Override of BinaryReader class with the ability to
	  automatically swap endianness

2012-08-03  Natalia Portillo  <claunia@claunia.com>

	* Plugins/ISO9660.cs:
	  When Joliet is present, show both Joliet and Primary volume
	  descriptors, as they may not be in sync

2012-08-03  Natalia Portillo  <claunia@claunia.com>

	* Plugins/ODS.cs:
	* Plugins/HPFS.cs:
	* Plugins/ISO9660.cs:
	* Plugins/AppleMFS.cs:
	* Plugins/AppleHFS.cs:
	* Plugins/AppleHFSPlus.cs:
	  Moved datetime conversion to DateHandlers class.

	* Plugins/Symbian.cs:
	  Identifies .SIS files. Yes I know it's not a filesystem but
	  I needed it so.

	* Main.cs:
	  Corrected typo

	* FileSystemIDandChk.csproj:
	  Added datetime conversion handling class, Symbian .SIS
	  installers, ext filesystem and ext2/3/4 filesystems.

	* Plugins/ext2FS.cs:
	  Detects ext2, ext3 and ext4 filesystems up to Linux 3.1
	  kernel.

	* Plugins/extFS.cs:
	  Detects ext filesystems. Untested as no Linux 2.0 was
	  available at time :p

	* DateHandlers.cs:
	  Moved all datetime convertions from plugins to central
	  class.

2011-06-02  Natalia Portillo  <claunia@claunia.com>

	* Added VMS ODS

2011-03-29  Natalia Portillo  <claunia@claunia.com>

	* Added NTFS

2011-03-28  Natalia Portillo  <claunia@claunia.com>

	* Added HPFS

2011-03-28  Natalia Portillo  <claunia@claunia.com>

	* Added Be filesystem

2011-03-28  Natalia Portillo  <claunia@claunia.com>

	* Use FOBOS guids

2011-03-25  Natalia Portillo  <claunia@claunia.com>

	* Added NeXT disklabels and unidentify MBR with 0 entries

2011-03-25  Natalia Portillo  <claunia@claunia.com>

	* ISO9660 should always check from offset 0, needs to be sure it runs only once

2011-03-25  Natalia Portillo  <claunia@claunia.com>

	* Added MBR partition scheme.

2011-03-06  Natalia Portillo  <claunia@claunia.com>
	* Added skeleton for BSD FFS.
	* Added HFS+.
	* If HFS detects it has wrapped a HFS+ volume, inform that it's not its filesystem.
	* Added a workaround in calculation with UInt32 and ulong that made HFS and MFS show a bad date.

2011-03-203 Natalia Portillo  <claunia@claunia.com>

	* First commit to SVN
